with import <nixpkgs> {};

stdenv.mkDerivation rec {
  #version = "0.87.1";
  version = "0.90.1";
  name = "osm2pgsql-${version}";

  src = fetchurl {
    url = "https://github.com/openstreetmap/osm2pgsql/archive/${version}.tar.gz";
    sha256 = "12w97q61rixdil0155y9ll60nd8ccil1jz1m98g2bnq38rqhkfpr";
    };

    #nativeBuildInputs = [ ];
    buildInputs = [
      boost
      bzip2
      cmake
      expat
      geos
      lua
      postgresql
      proj
      zlib
  ];

    #preConfigure = ''
    #'';
    #buildPhase = ''jam "-j$NIX_BUILD_CORES" '';
    #installPhase = ''
    #'';

    meta = with stdenv.lib; {
      homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
      description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
      #license = licenses.gpl2;
      #maintainers = [ maintainers.phunehehe ];
      maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
      #maintainers = [ maintainers.jpierre03 ];
    };
}

